
package de.ivu.elect.business.ergebniskonflikt.entity;

public class PolitischeGruppenUndListenverbindungenAuswaehlenTypisiertErgebnisKonfliktCustomData extends AbstractPolitischeGruppenUndListenverbindungenAuswaehlenErgebnisKonfliktCustomData {

  private static final long serialVersionUID = 1L;

  private Enum< ? > losentscheidTyp;

  public PolitischeGruppenUndListenverbindungenAuswaehlenTypisiertErgebnisKonfliktCustomData(Enum< ? > losentscheidTyp) {
    super();

    this.losentscheidTyp = losentscheidTyp;
  }

  public Enum< ? > getLosentscheidTyp() {
    return losentscheidTyp;
  }


  @Override
  public String getClassName() {
    return PolitischeGruppenUndListenverbindungenAuswaehlenTypisiertErgebnisKonfliktCustomData.class.getName();
  }

  /**
   * equals() bezieht sich nur auf die Attribute, die die zu entscheidene Situation beschreiben, aber nicht auf die Attribute, die die Lösung / Auswahl / Entscheidung betreffen.
   *
   * @see java.lang.Object#equals(java.lang.Object)
   */
  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof PolitischeGruppenUndListenverbindungenAuswaehlenTypisiertErgebnisKonfliktCustomData)) {
      return false;
    }
    if (!super.equals(o)) {
      return false;
    }

    PolitischeGruppenUndListenverbindungenAuswaehlenTypisiertErgebnisKonfliktCustomData that = (PolitischeGruppenUndListenverbindungenAuswaehlenTypisiertErgebnisKonfliktCustomData) o;

    if (losentscheidTyp != that.losentscheidTyp) {
      return false;
    }

    return true;
  }

  @Override
  public int hashCode() {
    int result = super.hashCode();
    result = 31 * result + losentscheidTyp.hashCode();
    return result;
  }
}
